using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class TipoBajaLogic
    {
        #region Constructor

        private TipoBajaDataAccess TipoBajaDA;

        public TipoBajaLogic()
        {
            TipoBajaDA = new TipoBajaDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<TipoBaja> ListarTipoBaja()
        {
            List<TipoBaja> results = null;
            try
            {

                results = TipoBajaDA.ListadoTipoBaja();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
